@import url('https://fonts.googleapis.com/css?family=Montserrat:400,800|Poppins&display=swap');

:root {
    --clr-neon: hsl(317 100% 54%);
    --clr-bg: hsl(323 21% 16%);
  }
  
  *{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Montserrat',sans-serif;
    font-weight: 900;
}

html{
    scroll-behavior: smooth;
  }

body{
    display: flex;

    min-height: 120vh;
    background: #3b3d43;
}

.container{
    width: 1200px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.container .box{
    position : relative ;
    width: 300px;
    height: 300px;
    display: flex;
    margin: 40px;
}

.container .box .Product1{
  position: absolute;
  top: 0;
  left: 0;  
  width: 100%;
  height: 100%;
  transition: 0.5s ease-in-out;
  z-index: 2;
}

.container .box:hover .Product1{
    transform: translate(-35px,-35px);
}

.container .box .Product1 img{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.container .box .content {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background:#afcbff;
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    padding: 15px;
    transition: 0.5s ease-in-out;
}

.container .box:hover .content .Btn{
    transform: translate(35px,35px);
}

.container .box .content h2{
  font-size: 20px;
  color: black;
  font-weight: 500;
  line-height: 20px;
  letter-spacing: 1px;
  text-align: center;
  font-family: 'Montserrat',sans-serif;
}

@media (max-width:768px){
    .container .box:hover .content
    {
        transform: translate(0,35px);
    }
    .container .box:hover .Product1
    {
        transform: translate(0,-35px);
    }
}

button{
    border: 0;
    padding: 0;
    font-family: 'Montserrat',sans-serif;
    background: transparent;
    color: grey;
    cursor: pointer;
}

.navbar {
    position: fixed;
    z-index: 5;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 64px;
    background: #19191c;
    color: #f9f9f9;
    font-family: 'Montserrat',sans-serif;
    box-sizing: border-box;
}


@media only screen and (min-width: 600px) { 
    .navbar{
        justify-content: space-between;
        padding: 0 0 0 16px;
    }
}

.navbar-overlay{
    position: fixed;
    z-index: 5;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    visibility: hidden;
    opacity: 0;
    transition: 0.3s;
}

body.open .navbar-overlay{
    visibility: visible;
    opacity: 1;
}

@media only screen and (min-width:600px){
    .navbar-overlay{
        display: none;
    }
}

.navbar-tkwireless {
    position: absolute;
    top: 0;
    left: 0;
    display: grid;
    place-items: center;
    width: 64px;
    height: 64px;
    padding: 0;
}

@media only screen and (min-width:600px){
    .navbar-tkwireless{
        display: none;
    }
}

.navbar-title{
    margin: 0;
    font-size: 16px;
    font-family: 'Montserrat',sans-serif;
}

.navbar-menu{
    position: fixed;
    z-index: 6;
    top: 0;
    left: 0;
    translate: -100% 0;
    width: 200px;
    height: 100%;
    padding: 20px;
    display: flex;
    gap: 8px;
    flex-direction: column;
    align-items: flex-start;
    background: #000000;
    visibility: hidden;
    transition: translate 0.3s;   
}

.LogoPng{
    width: 100px;
    height: 100px;
   margin-right: -225px;
}

body.open .navbar-menu{
    translate: 0 0 ;
    visibility: visible;
}

@media only screen and (min-width: 600px){
    .navbar-menu{
        position: static;
        translate: 0 0;
        width: auto;
        background: transparent;
        flex-direction: row;
        visibility: visible;
    }
}

.navbar-menu > button {
    color: rgba(255, 255, 255 , 0.5);
    background: transparent;
    padding: 0 8px;
}

.navbar-menu > button.active{
    color: inherit;
}


.wrapper{
    max-width: 1080px;
    margin: 50px auto;
    padding: 0 20px;
    position: relative;
  }
  .wrapper .center-line{
    position: absolute;
    height: 100%;
    width: 4px;
    background: #fff;
    left: 50%;
    top: 20px;
    transform: translateX(-50%);
  }
  .wrapper .row{
    display: flex;
  }
  .wrapper .row-1{
    justify-content: flex-start;
  }
  .wrapper .row-2{
    justify-content: flex-end;
  }
  .wrapper .row section{
    background: #fff;
    border-radius: 5px;
    width: calc(50% - 40px);
    padding: 20px;
    position: relative;
  }
  .wrapper .row section::before{
    position: absolute;
    content: "";
    height: 15px;
    width: 15px;
    background: #fff;
    top: 28px;
    z-index: -1;
    transform: rotate(45deg);
  }
  .row-1 section::before{
    right: -7px;
  }
  .row-2 section::before{
    left: -7px;
  }
  .row section .icon,
  .center-line .scroll-icon{
    position: absolute;
    background: #f2f2f2;
    height: 40px;
    width: 40px;
    text-align: center;
    line-height: 40px;
    border-radius: 50%;
    color: #ff7979;
    font-size: 17px;
    box-shadow: 0 0 0 4px #fff, inset 0 2px 0 rgba(0,0,0,0.08), 0 3px 0 4px rgba(0,0,0,0.05);
  }
  .center-line .scroll-icon{
    bottom: 0px;
    left: 50%;
    font-size: 25px;
    transform: translateX(-50%);
  }
  .row-1 section .icon{
    top: 15px;
    right: -60px;
  }
  .row-2 section .icon{
    top: 15px;
    left: -60px;
  }
  .row section .details,
  .row section .bottom{
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
  .row section .details .title{
    font-size: 22px;
    font-weight: 600;
  }
  .row section p{
    margin: 10px 0 17px 0;
  }
  .row section .bottom a{
    text-decoration: none;
    background: #ff7979;
    color: #fff;
    padding: 7px 15px;
    border-radius: 5px;
    /* font-size: 17px; */
    font-weight: 400;
    transition: all 0.3s ease;
  }
  .row section .bottom a:hover{
    transform: scale(0.97);
  }
  @media(max-width: 790px){
    .wrapper .center-line{
      left: 40px;
    }
    .wrapper .row{
      margin: 30px 0 3px 60px;
    }
    .wrapper .row section{
      width: 100%;
    }
    .row-1 section::before{
      left: -7px;
    }
    .row-1 section .icon{
      left: -60px;
    }
  }
  @media(max-width: 440px){
    .wrapper .center-line,
    .row section::before,
    .row section .icon{
      display: none;
    }
    .wrapper .row{
      margin: 10px 0;
    }
  }


  .loader{
    position: fixed;
    height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #252525;
    transition: all 0.5s;
    z-index: 10;
  }
  .loader .ring{
    
  }
  
  
  
  .loader .ring:after{
  
  }
  @keyframes rotate {
    100%{
      transform: rotate(360deg);
    }
  }
  
  
  
  .loaders {
    width: 8px;
    height: 48px;
    display: block;
    margin: auto;
    left: -20px;
    position: relative;
    border-radius: 4px;
    box-sizing: border-box;
    animation: animloader 1s linear infinite alternate;
  }
  
  @keyframes animloader {
    0% {
      box-shadow: 20px 0 rgba(11, 63, 94, 0.25), 40px 0 #1DA1F2, 60px 0#1DA1F2;
    }
    50% {
      box-shadow: 20px 0 #E1306C, 40px 0 rgba(255, 48, 108, 0.25), 60px 0 #E1306C;
    }
    100% {
      box-shadow: 20px 0 #FAAB78, 40px 0 #FAAB78, 60px 0 rgba(255, 171, 120, 0.25);
    }
  }
      